using System;
using StubAP.Models;
using System.Web.Mvc;
using System.Runtime.InteropServices;

namespace StubAP.Controllers
{
    public class FrontController : Controller
    {
        public readonly FrontLogicModel _model = new FrontLogicModel();

        public FrontController()
        {
            ViewData["configuration"] = _model.GetConfigSet();
        }

        public void SetConfiguration([Optional, DefaultParameterValue(null)] string title, [Optional, DefaultParameterValue(null)] string description)
        {
            ViewData["configuration"] = _model.UpdateConfigSet(title, description);
        }


    }
}